<template>
  <div class="line-chart-diagram">
    <vue-apex-charts
      type="bar"
      height="300"
      :series="series"
      :options="options"
    />
  </div>
</template>

<script lang="ts">
import { Component, Vue, Watch, Prop } from "vue-property-decorator";
import VueApexCharts from "vue-apexcharts";
import _ from "lodash";

@Component({
  components: {
    VueApexCharts
  }
})
export default class RadarChart extends Vue {
  @Prop({ required: true }) readonly series: any;
  @Prop({ required: true }) readonly labels: any;

  get options() {
    return {
      width: 1000,
      theme: {},
      chart: {
        id: "chartTotalCards"
      },

      plotOptions: {
        bar: {
          //horizontal: true
        }
      },
      dataLabels: {
        enabled: false
      },

      tooltip: {
        followCursor: false,
        x: {
          show: false
        },
        marker: {
          show: false
        }
      },
      markers: {
        size: 6,
        hover: {
          size: 8
        }
      },
      labels: this.labels,
      grid: {
        clipMarkers: true,
        borderColor: "#a5bfad",
        strokeDashArray: 5,
        position: "back",
        yaxis: {
          lines: {
            show: true
          }
        }
      },
      yaxis: {
        min: 0,
        tickAmount: 10,
        //logarithmic: true,
        forceNiceScale: true
      }
    };
  }
}
</script>
